%define upstream_name	 PAR-Dist
%define upstream_version 0.49

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Create and manipulate PAR distributions
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/PAR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl-YAML-parser
BuildArch:  noarch

%description
This module creates and manipulates *PAR distributions*. They are
architecture-specific PAR files, containing everything under blib/ of CPAN
distributions after their "make" or "Build" stage, a META.yml describing
metadata of the original CPAN distribution, and a MANIFEST detailing all files
within it. Digitally signed PAR distributions will also contain a SIGNATURE
file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/PAR

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.490.0-2.mga3
+ Revision: 371164
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.490.0-1.mga3
+ Revision: 306185
- update to 0.49

* Tue Nov 08 2011 jquelin <jquelin> 0.480.0-1.mga2
+ Revision: 165529
- update to 0.48

* Wed Jan 19 2011 jquelin <jquelin> 0.470.0-1.mga1
+ Revision: 24269
- fix specs
- imported package perl-PAR-Dist

